"apt-get install" hibaüzenet

 ( ibiro | 2005. április 28., csütörtök - 14:25 )

Hozzászólás megjelenítési lehetőségek

A választott hozzászólás megjelenítési mód a „Beállítás” gombbal rögzíthető.

Hello,
Tökéletes a zűrzavar nemcsak az én fejemben, hanem az egész LINUX párhuzamos világban is. Néhány napja keresgélek a neten, de amit ott találtam vagy nem találtam (bármilyen nyelven) elment a kedvem az egész LINUX-tól, bár meggyőződésem, hogy szükség van rá főleg a biztonság érdekében. Örököltem egy számitógépet amelyen LINUX -al van megoldva a helyi hálózat biztonsága, szűrése mielőtt kapcsolata volna az Internettel (iptables). Az első dolgom a "root" jelszó megszerzése volt, majd lassan megtudtam hogy a sok lehetőség közül GNU/Linux verzióm van. A DOS-tipusú környezettel semmi bajom de szeretnék installálni egy "mc"-t, legalább lássam mi van azon a gépen. Annyira eljutottam, hogy egy más gép segitségével letötöttem a megfelelő "mc.deb" csomagot és felmásoltam egy floppyra, onnan pedig a /roor/debs nevű folder-be. Amikor elinditom a "apt-get install mc.deb" vagy "apt-get install /root/debs/mc.deb" parancsot akkor azt a hibát adja hogy "Couldn't find package". Kerestem a Google-en eleget de senki nem ir semmi hasznosat ezzel kapcsolatban. Remélem valaki már találkozott ilyen problémával és megoldotta, kérem segitsen nekem is.
István.

dpkg -i mc.deb
(ha nem sikerul, akkor fuggosegi/verzio problemak vannak)

[quote:85875c4d9e="ibiro"]legalább lássam mi van azon a gépen[/quote:85875c4d9e]

cd, ls, cat, less, tail, head, grep, file, ...

[quote:800db26658="ibiro"]Hello,
majd lassan megtudtam hogy a sok lehetőség közül GNU/Linux verzióm van.
[/quote:800db26658]

Hülye kérdés: és mi a sok lehetőség? Én még nem GNU Linux alapú desktop/server OS-ről nem hallottam (tudom, a spec linuxos célgépeken nem feltétlenül).

A GNU egy project, aminek célja egy 100% Unix-kompatibilis nyílt forrású OS létrehozása volt (van? FIXME), az OS kernelének neve pedig Hurd.

Amikor Linus megírta a Linux kernelt, a köré építendő keretprogramoknak a GNU project progijait használta (init, cp, mv, ls, man, grep, ...).
A mostani server/desktop disztribúciók fejlesztői (Mandr[ake|iva], Red Hat, SuSE, Debian, Gentoo, Sourcemage, ...) is ezt a példát követik.

Szóval azzal hogy GNU/Linux van a gépen, kb annyit mondtál el mintha azt mondtad volna hogy 104 gombos billentyűzet van hozzá :)

ibiro:
http://www.hup.hu/wiki/index.php/Debian_desktop_kialak%C3%ADt%C3%A1sa#Csomagkezel.C3.A9s_.28alapok.29

Hello, először is, gyerekek, nem tudom, miért nem tudunk ibiro-nak segíteni, miért csupa mellébeszélés jön. Nyilvánvaló, hogy a kedves ibiro még totál kezdő linuxos, és nem vágja a Debian-t, a GNU/Linux-ot, + l. a többi beidézést, DOS-os környezet, zűrzavar, nodoc, mirejó, stb. a .deb csomagokból arra következtetek, hogy Debian GNU/Linux disztribről van szó. ibiro: az elérhető csomagok listáját a rendszer egy szöveges fájlban gyűjti: /etc/apt/available . ide a /etc/apt/sources.list fájlban lévő/megadott csomaglista tárakból töltöd le a csomaglistákat, amelyeket különböző forrásokból lehet (cd, internet, stb.) az apt ezekből dolgozik. Azért nem látja például az mc-t, mert nem töltődött le olyan csomaglista fájl, amely ezt tartalmazza. Például egy csak az alaprendszert tartalmazó cd-ről telepítettél és a telepítés során nem adtál meg más csomagtárat esetleg tárakat. gondolom azért, mert nem volt teljesebb cd-d, vagy az adott pillanatban még nem volt internet elérésed azon a gépen. (ahogy a kérdésedből kiveszem, nem netezel még onnan valamiért, ezt nagyon érdemes megoldani). a dpkg-val is felrakhatsz csomagokat, de ehhez az kell, hogy a függőségi csomagjait is megadd ugyanabban a sorban. a többi jótanács mellett, először is azt tisztázzuk, van-e neted. utána menjünk tovább

[quote:3df5af2f10="sas"]Hello, először is, gyerekek, nem tudom, miért nem tudunk ibiro-nak segíteni, miért csupa mellébeszélés jön. Nyilvánvaló, hogy a kedves ibiro még totál kezdő linuxos, és nem vágja a Debian-t[/quote:3df5af2f10]
ettol meg nem biztos, hogy csupa mellebeszeles jott

[quote:3df5af2f10="sas"]gondolom azért, mert nem volt teljesebb cd-d, vagy az adott pillanatban még nem volt internet elérésed azon a gépen.[/quote:3df5af2f10]
vö.
[quote:3df5af2f10="ibiros"]Örököltem egy számitógépet amelyen LINUX -al van megoldva a helyi hálózat biztonsága, szűrése mielőtt kapcsolata volna az Internettel (iptables)[/quote:3df5af2f10]

Koszi a sok velemenyt, de a problema meg nincs megoldva:

"snq-": a "dpkg -i mc.deb" utasitas nem mukodik, mert "command not found" hibauzenet jon, tehat azt is kellene instalalni - ha egyet tudok, a tobbi nem problema

"csigaa": a kerdes nem hulye egy kezdotol, esetleg a hozzaszolas egy "profi"-tol. Ha az "uname -o" ezt irja hogy GNU/Linux, akkor ki a hulye ???

"sas": ha elolvasod figyelmesen amit irtam, akkor kiderul hogy van netem es a Linux-ot nem en installaltam, nincs boot-alo CD vagy floppy. Ha a Linux geprol tudnek netezni, nem tartanam magam kezdonek, az mc_4.5.55-1.2woody6_i386.deb csomagot pedig a netrol vettem le. Nekem ay is haladas hogy floppyrol fel tudtam masolni a Linux gepre. Ott pedig ay egyetlen instalalo program a "rpm" amivel sikerult instalalni a apt-0.5.15cnc6-1.1.fc2.fr.i386.rpm csomagot. A tovabbi lepes az lenne, hogy ez mukodjon, majd johet a "wajig" vagy barmi mas. A te hozzaszolasodbol azt lehet erteni hogy az "apt" egy bizonyos helyrol (/etc/apt/sources.list) keresi a csomagot, akkor is ha azt adom "apt-get install /root/debs/mc.deb" ??? Ha igen akkor csak oda kell masoljam ?

"fellow": eleg szukszavu vagy, megnezem mi van azon a site-on.

Mindekinek megegyszer koszonom a hozzaszolast !
[/b]

[quote:f6d5cffa86="ibiro"]Koszi a sok velemenyt, de a problema meg nincs megoldva:

"snq-": a "dpkg -i mc.deb" utasitas nem mukodik, mert "command not found" hibauzenet jon, tehat azt is kellene instalalni - ha egyet tudok, a tobbi nem problema

"csigaa": a kerdes nem hulye egy kezdotol, esetleg a hozzaszolas egy "profi"-tol. Ha az "uname -o" ezt irja hogy GNU/Linux, akkor ki a hulye ???

"sas": ha elolvasod figyelmesen amit irtam, akkor kiderul hogy van netem es a Linux-ot nem en installaltam, nincs boot-alo CD vagy floppy. Ha a Linux geprol tudnek netezni, nem tartanam magam kezdonek, az mc_4.5.55-1.2woody6_i386.deb csomagot pedig a netrol vettem le. Nekem ay is haladas hogy floppyrol fel tudtam masolni a Linux gepre. Ott pedig ay egyetlen instalalo program a "rpm" amivel sikerult instalalni a apt-0.5.15cnc6-1.1.fc2.fr.i386.rpm csomagot. A tovabbi lepes az lenne, hogy ez mukodjon, majd johet a "wajig" vagy barmi mas. A te hozzaszolasodbol azt lehet erteni hogy az "apt" egy bizonyos helyrol (/etc/apt/sources.list) keresi a csomagot, akkor is ha azt adom "apt-get install /root/debs/mc.deb" ??? Ha igen akkor csak oda kell masoljam ?

[/b][/quote:f6d5cffa86]

Valszeg ez nem debian lesz.
1. uname -nak -o kapcsolója nem működik debian woody alatt. ott a --version 2.0.11.
most az 5.2.1-nél jár, pl. az UHU-ban. ott már van -o is.
2. rpm volt fent, de nem volt apt, és nincs dpkg-se.

az apt az /etc/apt/sources.list fájlból azt veszi, hogy honnan installálhat új csomagokat.
fehát ott csak elérési utak vannak felsorolva. Debian alatt az új csomagok a /var/cache/apt-ba kerülnek, onnan installálja fel a rendszer.

neked az mc ezek szerint inkább rpm-ben kellene.

esetleg egy
[code:1:f6d5cffa86]less /etc/issue[/code:1:f6d5cffa86]
és
[code:1:f6d5cffa86]ls -la /etc[/code:1:f6d5cffa86]
segítene hogy akkor most mi van nálad.

[quote:feec5be320="ibiro"]Koszi a sok velemenyt, de a problema meg nincs megoldva:

"snq-": a "dpkg -i mc.deb" utasitas nem mukodik, mert "command not found" hibauzenet jon, tehat azt is kellene instalalni - ha egyet tudok, a tobbi nem problema

[/quote:feec5be320]

Ahogy a kesobbiekbol kiderul, nem is lesz...
Tenyleg kellett volna egy pontos disztribucio-meghatarozas.
[quote:feec5be320="ibiro"]
"csigaa": a kerdes nem hulye egy kezdotol, esetleg a hozzaszolas egy "profi"-tol. Ha az "uname -o" ezt irja hogy GNU/Linux, akkor ki a hulye ???
[/quote:feec5be320]

Probald az "uname -a" parancsot.

[quote:feec5be320="ibiro"]

"sas": ha elolvasod figyelmesen amit irtam, akkor kiderul hogy van netem es a Linux-ot nem en installaltam, nincs boot-alo CD vagy floppy. Ha a Linux geprol tudnek netezni, nem tartanam magam kezdonek, az mc_4.5.55-1.2woody6_i386.deb csomagot pedig a netrol vettem le. Nekem ay is haladas hogy floppyrol fel tudtam masolni a Linux gepre. Ott pedig ay egyetlen instalalo program a "rpm" amivel sikerult instalalni a apt-0.5.15cnc6-1.1.fc2.fr.i386.rpm csomagot. A tovabbi lepes az lenne, hogy ez mukodjon, majd johet a "wajig" vagy barmi mas. A te hozzaszolasodbol azt lehet erteni hogy az "apt" egy bizonyos helyrol (/etc/apt/sources.list) keresi a csomagot, akkor is ha azt adom "apt-get install /root/debs/mc.deb" ??? Ha igen akkor csak oda kell masoljam ?
[/quote:feec5be320]

Akkor ez rpm-alapu csomagkezelo, nem Debian.
redhat/suse/mandrake, mind rpm-et hasznal.
Nativ .deb csomagot nem fogsz ra feleroltetni.
Hmm, de jelenleg nem jut eszembe konzolos rpm-kezelo,
ami letolti es installalja a csomagot :(

[url]http://www.rpmfind.net/[/url]
Ha megvan a disztribucio neve, itt tudsz keresni megfelelo rpm csomagot.

Konzolos RPM-kezelő: urpmi
Csomaglista-fájl generáló hozzája: http://easyurpmi.zarb.org/
(csak Mandrake mirrorokat ismer!)

Bővebben nemtok segíteni, amikor utoljára RPM-alapú disztrot használtam még annyit se tudtam mint most...

[quote:df8c515689="Csigaa"]Konzolos RPM-kezelő: urpmi
Csomaglista-fájl generáló hozzája: http://easyurpmi.zarb.org/
(csak Mandrake mirrorokat ismer!)

Bővebben nemtok segíteni, amikor utoljára RPM-alapú disztrot használtam még annyit se tudtam mint most...[/quote:df8c515689]

Ez az, tok ugyanebben a cipoben jarok :(
Anno egyik oka volt a Mandrake-rol Debianra atteresemnek, hogy
valami normalis csomagkezelot kifogjak, normalis csomagfrissitessel...
Mondjuk, itt is csak a SID alatt van rendes frissites, de a dselect nagyon cuccos kis csomagkezelo, ha kedvem van, eccaka elindtom,
reggelre letolt, es amit lehet, szetpakol. Ez Mandrake-nal nem igy ment, vagy CD-rol pakoltam fel, vagy szinte sehogy :(